# Attendance reports ## `GET /api/attendance/report` **Get the attendance report** Returns per-member attendance counts over a window. **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `window` | query | {ref}`AttendanceRange ` | no | The time window to report over. | | `raids_only` | query | boolean | no | Only count raid events. | **Response `200` — The attendance report.** Model: {ref}`AttendanceReport ` | Field | Type | Required | Description | |---|---|---|---| | `range` | {ref}`AttendanceRange ` | yes | | | `raids_only` | boolean | yes | | | `rows` | array of {ref}`MemberAttendanceRow ` | yes | | ## `GET /api/attendance/trends` **Get attendance trends** Returns weekly distinct attendees and show rate over a window, oldest week first. **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `window` | query | {ref}`AttendanceRange ` | no | The time window to report over. | | `raids_only` | query | boolean | no | Only count raid events. | **Response `200` — The attendance trends.** Model: {ref}`AttendanceTrends ` | Field | Type | Required | Description | |---|---|---|---| | `range` | {ref}`AttendanceRange ` | yes | | | `raids_only` | boolean | yes | | | `points` | array of {ref}`AttendanceTrendPoint ` | yes | |